Skip to main content
GET
Get reprocessing status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

graphId
string
required

Required. ID of the graph for the reprocessing request.

requestId
string
required

Required. ID of the reprocessing request.

Response

The status of the reprocessing request.

status
enum<string>
required

"queueing": The identifiers are being queued for reprocessing. "queued": The identifiers have been queued and added to the blocklist. Their associated clusters will be reprocessed next time the graph runs. "reprocessed": The identifiers' clusters have been reprocessed during a run. "failed": We failed to queue the identifiers for reprocessing. "cancelled": The reprocessing request has been cancelled.

Available options:
queueing,
queued,
reprocessed,
failed,
cancelled
queuedAt
string<date-time> | null
required

Set if the status is "queued" or "reprocessed". The timestamp when the identifiers were queued for reprocessing.

reprocessedAt
string<date-time> | null
required

Set if the status is "reprocessed". The timestamp when the identifiers' clusters were reprocessed.

reprocessedRunId
string | null
required

Set if the status is "reprocessed". The ID of the run that reprocessed the identifiers' clusters.

recordFound
boolean[] | null
required

One result per identifier, in the order they were submitted. True if the identifier was found in the graph at the start of the run that processed the request. Null until the request is processed, and on requests submitted before this field existed on the API.

error
string | null
required

If available, the error message from failing to queue the identifiers for reprocessing.